# basesrc.h File Reference

`#include <glibmm.h>`
`#include <gst/base/gstbasesrc.h>`
`#include <gstreamermm/element.h>`
`#include <gstreamermm/pad.h>`
`#include <gstreamermm/format.h>`
`#include <gstreamermm/clock.h>`
`#include <gstreamermm/segment.h>`

Go to the source code of this file.

## Namespaces

namespace | Gst
namespace | Glib

## Classes

class | Gst::BaseSrc
| Gst::BaseSrc - Base class for getrange based source elements. More...